package org.greenstone.gsdl3.gs3build.database;

public   class GS3SQLUpdate extends GS3SQLAction
  { GS3SQLWhere where;

    public GS3SQLUpdate(String table)
    { super(table);
      this.where  = null;
    }

    public void setWhere(GS3SQLWhere where)
    { this.where = where;
    }

    public String toString()
    {
      StringBuffer reply = new StringBuffer();
      reply.append("UPDATE ");
      reply.append(this.table);
      reply.append(" SET ");
      for (int i = 0; i < this.values.size(); i ++)
      { GS3SQLValue value = (GS3SQLValue) this.values.get(i);
        if (i > 0)
	  reply.append(", ");
        reply.append(value.field);
	reply.append("=");
	reply.append(value.value);
      }
      if (this.where != null)
      { reply.append(" WHERE ");
	reply.append(where.toString());
      }
      reply.append(";");
      return reply.toString();
    }
  }




