package org.greenstone.gsdl3.gs3build.metadata;

import java.io.File;
import java.net.URL;

public class METSFilePos
{
	METSLocation location;

	public METSFilePos(File file) throws java.net.MalformedURLException
	{	this.location = new METSLocation(file);
	}

	public METSFilePos(URL url)
	{	this.location = new METSLocation(url);
	}

	public METSFilePos(String location, String locationType) throws java.net.MalformedURLException
	{	this.location = new METSLocation(location, locationType);
	}

	public URL getLocation()
	{	return this.location.getLocation();
	}

	public String getType()
	{	return this.location.getType();
	}

	public String toString()
	{	return this.location.getLocation().toString();
	}
}